VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsColumns"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private colColumns As Collection


Public Function Add(Optional ByVal ColumnWidth As Single, _
                                       Optional ByVal TitleAlign As TextAlignConstants, _
                                       Optional ByVal BodyAlign As TextAlignConstants) As clsColumnAttributes

Dim c As New clsColumnAttributes

    With c
        .ColumnWidth = ColumnWidth
        .TitleAlign = TitleAlign
        .BodyAlign = BodyAlign
    End With
    colColumns.Add c
    Set Add = c
End Function

Public Property Get Count() As Integer
    Count = colColumns.Count
End Property

Public Sub Clear()
    Set colColumns = Nothing
    Set colColumns = New Collection
End Sub

Public Property Get Item(ByVal Index As Integer) As clsColumnAttributes
Attribute Item.VB_UserMemId = 0
    Set Item = colColumns.Item(Index)
End Property

Private Sub Remove(ByVal Index As Integer)
    colColumns.Remove (Index)
End Sub

Private Sub Class_Initialize()
    Set colColumns = New Collection
End Sub

Private Sub Class_Terminate()
    Set colColumns = Nothing
End Sub
